PLPOIN(3)

NAME
plpoin - Plot a glyph at the specified points

SYNOPSIS
plpoin(n, x, y, code)

DESCRIPTION

Plot a glyph at the specified points. (This function is largely superseded by plstring(3) which gives access to many[!] more glyphs.) code=-1 means try to just draw a point. Right now it's just a move and a draw at the same place. Not ideal, since a sufficiently intelligent output device may optimize it away, or there may be faster ways of doing it. This is OK for now, though, and offers a 4X speedup over drawing a Hershey font "point" (which is actually diamond shaped and therefore takes 4 strokes to draw). If 0 < code < 32, then a useful (but small subset) of Hershey symbols is plotted. If 32 <= code <= 127 the corresponding printable ASCII character is plotted.

Redacted form: plpoin(x, y, code)

This function is used in examples 1, 6, 14, and 29.

ARGUMENTS

n (PLINT(3), input)
    Number of points in the x and y vectors.

x (PLFLT_VECTOR(3), input)
    A vector containing the x coordinates of points.

y (PLFLT_VECTOR(3), input)
    A vector containing the y coordinates of points.

code (PLINT(3), input)
    Hershey symbol code (in "ascii-indexed" form with -1 <= code <= 127) corresponding to a glyph to be plotted at each of the n points.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.